Subject: bug#22799: [PATCH] Unit tests for `forward-sexp'

From: "Aaron S. Hawley" <[email-masked]>
Date: Wed, 24 Feb 2016 14:50:12 -0500

I had attempted to fix the forward-sexp function when run at the ends of the buffer in Bug#13994, but it was seen as too risky to fix and was closed.  I've taken the unit test I had submitted and am submitting it here.

This documents the existing behavior I pointed out in Bug#13994, but I also added tests for Bug#15014 (delete-pair of quotes in Text Mode), Bug#20492 (forward-sexp of symbols in quotes, comments, strings), Bug#11321 (forward-sexp on Python doc string), Bug#4030 (forward-sexp of unquoted semicolon char).

Seems like Bug#11321 can be closed as fixed.

Thanks for Emacs,
Aaron

PS. This is my first time sending with git send-email(1).  Hopefully, it behaved.